/*******************************************************************************
 FILE	: ADS8342.h
 DESC	: main.c header file
 *******************************************************************************/

// Set clock speed and sample size
#define CONVCLK_PERIOD		3 // = 1.013us pulse
#define ADC_SAMPLE_SIZE		1024

// Note - W5 is located on the 5-6K Interface Board
// W5 open selects upper address space (A12 - A15)
// W5 closed selects lower address space (A0 - A3)
#define W5_Closed		1  

/*******************************************************************************
 Defines
 *******************************************************************************/


// Software controlled operation of the ADS8342
 #define A0				0x00
 #define A1				0x01
 #define B0				0x02
 #define B1				0x03

// ADC Address
extern ioport int port8000;
 #define ADC_Junk	port8000
#if (W17_Closed)
extern ioport int port8002;
extern ioport int port8003;
extern ioport int port8007;
extern ioport int port800B;
extern ioport int port800F;

 #define ADC_Base	port8003
 #define _CH0		port8003		    /* Channel 0	*/
 #define _CH1		port8007		    /* Channel 1	*/
 #define _CH2		port800B			/* Channel 2	*/
 #define _CH3		port800F			/* Channel 3	*/

#else
extern ioport int port8000;
extern ioport int port9000;
extern ioport int portA000;
extern ioport int portB000;
extern ioport int portC000;

 #define ADC_Base	port8000
 #define _CH0		port8000		    /* Channel 0	*/
 #define _CH1		port9000		    /* Channel 1	*/
 #define _CH2		portA000			/* Channel 2	*/
 #define _CH3		portB000			/* Channel 3	*/
#endif

/*******************************************************************************
 Function prototypes
 *******************************************************************************/
void delay();
void hardware_init_ADC();
void read_ADC(unsigned int channel);
void soft_cnvt(unsigned int channel);
interrupt void EOC_isr();


